Wt: Wt::Chart::WStandardPalette Class Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Wt::Chart::WStandardPalette Class Reference
Charts (Wt::Chart)

Standard styling for rendering series in charts. More...

`#include <Wt/Chart/WStandardPalette.h>`

Inheritance diagram for Wt::Chart::WStandardPalette:
[legend]

## Public Types
typedef PaletteFlavour | Flavour
| Typedef for enum Wt::Chart::PaletteFlavour.

## Public Member Functions
| WStandardPalette (PaletteFlavour flavour)
| Creates a standard palette of a particular flavour.
virtual WBrush | brush (int index) const override
| Returns a brush from the palette.
virtual WPen | borderPen (int index) const override
| Returns a border pen from the palette.
virtual WPen | strokePen (int index) const override
| Returns a stroke pen from the palette.
virtual WColor | fontColor (int index) const override
| Returns a font color from the palette.
virtual WColor | color (int index) const
| Returns the color for the given index.
Public Member Functions inherited from Wt::Chart::WChartPalette
virtual | ~WChartPalette ()
| Destructor.

## Detailed Description

Standard styling for rendering series in charts.

This class provides four standard palettes, each composed of eight different colors (these are recycled at index 8).

The three colored palettes are a variation on those defined at http://www.modernlifeisrubbish.co.uk/article/web-2.0-colour-palette.

The following table lists the background color, and font color of the different palettes:

Neutral | Bold | Muted | GrayScale
Gmail blue | Mozilla red | Ruby on Rails red | Gray #1
Shiny silver | Flock blue | Mozilla blue | Gray #2
Interactive action yellow | RSS orange | Etsy vermillion | Gray #3
Qoop mint | Techcrunch green | Digg blue | Gray #4
Digg blue | Flickr pink | 43 Things gold | Gray #5
Shadows grey | Newsvine green | Writely olive | Gray #6
Magnolia Mag.nolia | Magnolia Mag.nolia | Last.fm crimson | Gray #7
RSS orange | Rollyo red | Basecamp green | Gray #8

The border pen is in all cases a gray pen of 0 width, while the stroke pen is a line of width 2 in the background color.

## Member Function Documentation

## ◆ borderPen()

virtual WPen Wt::Chart::WStandardPalette::borderPen | ( | int | index | ) | const
| overridevirtual

Returns a border pen from the palette.

Returns the pen for stroking borders around an area filled using the brush at the same index.

See also
  strokePen(), brush()

Implements Wt::Chart::WChartPalette.

## ◆ brush()

virtual WBrush Wt::Chart::WStandardPalette::brush | ( | int | index | ) | const
| overridevirtual

Returns a brush from the palette.

Returns the brush for the style with given index.

Implements Wt::Chart::WChartPalette.

## ◆ fontColor()

virtual WColor Wt::Chart::WStandardPalette::fontColor | ( | int | index | ) | const
| overridevirtual

Returns a font color from the palette.

Returns a font color suitable for rendering text in the area filled with the brush at the same index.

See also
  brush()

Implements Wt::Chart::WChartPalette.

## ◆ strokePen()

virtual WPen Wt::Chart::WStandardPalette::strokePen | ( | int | index | ) | const
| overridevirtual

Returns a stroke pen from the palette.

Returns the pen for stroking lines for the style with given index.

See also
  strokePen()

Implements Wt::Chart::WChartPalette.